# Generated by Django 3.2.14 on 2022-08-04 10:15

import django.contrib.auth.models
import django.contrib.auth.validators
from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('is_complete_register', models.BooleanField(default=False)),
                ('national_code', models.CharField(max_length=10, unique=True)),
                ('name', models.CharField(max_length=255)),
                ('family', models.CharField(max_length=255)),
                ('father_name', models.CharField(max_length=255)),
                ('id_number', models.CharField(max_length=255)),
                ('serial_number', models.CharField(max_length=255)),
                ('sex', models.CharField(choices=[('Female', 'Female'), ('Men', 'Men')], max_length=255)),
                ('marital_status', models.CharField(choices=[('Single', 'Single'), ('Married', 'Married'), ('Other', 'Other')], max_length=255)),
                ('level_education', models.CharField(choices=[('Illiterate', 'Illiterate'), ('High_school', 'High School'), ('Diploma', 'Diploma'), ('Bachelor', 'Bachelor'), ('Master', 'Master'), ('PHD', 'Phd')], max_length=255)),
                ('job', models.CharField(max_length=255)),
                ('birthday_province', models.CharField(choices=[('اردبیل', 'Ardebil'), ('اصفهان', 'Isfahan'), ('البرز', 'Alborz'), ('ایلام', 'Ilam'), ('بوشهر', 'Bushehr'), ('تهران', 'Tehran'), ('چهارمحال و بختیاری', 'Chaharmahalbakhtiari'), ('خراسان جنوبی', 'Southkhorasan'), ('خراسان رضوی', 'Razavikhorasan'), ('خراسان شمالی', 'Northkhorasan'), ('خوزستان', 'Khuzestan'), ('زنجان', 'Zanjan'), ('سمنان', 'Semnan'), ('سیستان و بلوچستان', 'Sistanbaluchestan'), ('فارس', 'Fars'), ('قزوین', 'Qazvin'), ('قم', 'Qom'), ('کردستان', 'Kurdistan'), ('کرمان', 'Kerman'), ('کرمانشاه', 'Kermanshah'), ('کهگیلویه و بویراحمد', 'Kohgiluyehboyerahmad'), ('گلستان', 'Golestan'), ('لرستان', 'Lorestan'), ('گیلان', 'Gilan'), ('مازندران', 'Mazandaran'), ('مرکزی', 'Markazi'), ('هرمزگان', 'Hormozgan'), ('همدان', 'Hamedan'), ('یزد', 'Yazd')], max_length=255)),
                ('birthday_city', models.CharField(max_length=255)),
                ('register_province', models.CharField(choices=[('اردبیل', 'Ardebil'), ('اصفهان', 'Isfahan'), ('البرز', 'Alborz'), ('ایلام', 'Ilam'), ('بوشهر', 'Bushehr'), ('تهران', 'Tehran'), ('چهارمحال و بختیاری', 'Chaharmahalbakhtiari'), ('خراسان جنوبی', 'Southkhorasan'), ('خراسان رضوی', 'Razavikhorasan'), ('خراسان شمالی', 'Northkhorasan'), ('خوزستان', 'Khuzestan'), ('زنجان', 'Zanjan'), ('سمنان', 'Semnan'), ('سیستان و بلوچستان', 'Sistanbaluchestan'), ('فارس', 'Fars'), ('قزوین', 'Qazvin'), ('قم', 'Qom'), ('کردستان', 'Kurdistan'), ('کرمان', 'Kerman'), ('کرمانشاه', 'Kermanshah'), ('کهگیلویه و بویراحمد', 'Kohgiluyehboyerahmad'), ('گلستان', 'Golestan'), ('لرستان', 'Lorestan'), ('گیلان', 'Gilan'), ('مازندران', 'Mazandaran'), ('مرکزی', 'Markazi'), ('هرمزگان', 'Hormozgan'), ('همدان', 'Hamedan'), ('یزد', 'Yazd')], max_length=255)),
                ('register_city', models.CharField(max_length=255)),
                ('birthday_date', models.DateField(null=True)),
                ('birthday_date_register', models.DateField(null=True)),
                ('residence_province', models.CharField(choices=[('اردبیل', 'Ardebil'), ('اصفهان', 'Isfahan'), ('البرز', 'Alborz'), ('ایلام', 'Ilam'), ('بوشهر', 'Bushehr'), ('تهران', 'Tehran'), ('چهارمحال و بختیاری', 'Chaharmahalbakhtiari'), ('خراسان جنوبی', 'Southkhorasan'), ('خراسان رضوی', 'Razavikhorasan'), ('خراسان شمالی', 'Northkhorasan'), ('خوزستان', 'Khuzestan'), ('زنجان', 'Zanjan'), ('سمنان', 'Semnan'), ('سیستان و بلوچستان', 'Sistanbaluchestan'), ('فارس', 'Fars'), ('قزوین', 'Qazvin'), ('قم', 'Qom'), ('کردستان', 'Kurdistan'), ('کرمان', 'Kerman'), ('کرمانشاه', 'Kermanshah'), ('کهگیلویه و بویراحمد', 'Kohgiluyehboyerahmad'), ('گلستان', 'Golestan'), ('لرستان', 'Lorestan'), ('گیلان', 'Gilan'), ('مازندران', 'Mazandaran'), ('مرکزی', 'Markazi'), ('هرمزگان', 'Hormozgan'), ('همدان', 'Hamedan'), ('یزد', 'Yazd')], max_length=255)),
                ('residence_city', models.CharField(max_length=255)),
                ('main_street', models.CharField(max_length=255)),
                ('auxiliary_street', models.CharField(max_length=255)),
                ('alley', models.CharField(max_length=255)),
                ('floor', models.IntegerField(null=True)),
                ('unit', models.IntegerField(null=True)),
                ('number_plates', models.IntegerField(null=True)),
                ('postal_code', models.CharField(max_length=255)),
                ('region', models.IntegerField(null=True)),
                ('phone', models.CharField(max_length=12)),
                ('mobil', models.CharField(max_length=12, unique=True)),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('work_city', models.CharField(max_length=255)),
                ('work_province', models.CharField(choices=[('اردبیل', 'Ardebil'), ('اصفهان', 'Isfahan'), ('البرز', 'Alborz'), ('ایلام', 'Ilam'), ('بوشهر', 'Bushehr'), ('تهران', 'Tehran'), ('چهارمحال و بختیاری', 'Chaharmahalbakhtiari'), ('خراسان جنوبی', 'Southkhorasan'), ('خراسان رضوی', 'Razavikhorasan'), ('خراسان شمالی', 'Northkhorasan'), ('خوزستان', 'Khuzestan'), ('زنجان', 'Zanjan'), ('سمنان', 'Semnan'), ('سیستان و بلوچستان', 'Sistanbaluchestan'), ('فارس', 'Fars'), ('قزوین', 'Qazvin'), ('قم', 'Qom'), ('کردستان', 'Kurdistan'), ('کرمان', 'Kerman'), ('کرمانشاه', 'Kermanshah'), ('کهگیلویه و بویراحمد', 'Kohgiluyehboyerahmad'), ('گلستان', 'Golestan'), ('لرستان', 'Lorestan'), ('گیلان', 'Gilan'), ('مازندران', 'Mazandaran'), ('مرکزی', 'Markazi'), ('هرمزگان', 'Hormozgan'), ('همدان', 'Hamedan'), ('یزد', 'Yazd')], max_length=255)),
                ('work_phone', models.CharField(max_length=15)),
                ('work_address', models.TextField()),
                ('driver_license_number', models.CharField(max_length=255, null=True, unique=True)),
                ('shaba_number', models.CharField(max_length=255, unique=True)),
                ('data_updated', models.DateTimeField(auto_now=True)),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
